// spudmax.cpp : Defines the entry point for the console application.
//
#include "stdafx.h"
#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <stdlib.h>
// Построить список целых чисел. Удалить из него максимальный элемент, считая, что он единственный.
//
//
struct elem{
	int num;
	elem *next;
	};
	elem *first, *cur, *tmp,*tmmax,*last, *pred;
	char snum[10];

 void main()
 {
	 int n,k;
  first=new elem;
  puts("Input integer value or ENTER");
  gets(snum);
  first->num=atoi(snum);
  first->next=NULL;
  last=first;
   while(gets(snum),strlen(snum)!=0)
   {cur=new elem;
    cur->num=atoi(snum);
	cur->next=NULL;
   }
	last->next=cur;
	last=cur;
  puts("inputed spisok");
  cur=first;
  while(cur!=NULL)
  {printf("%5d",cur->num);
  cur=cur->next;}
  printf("\n");
  int max=first->num;
  tmmax=first;
  cur=first->next;pred=first;
    while(cur!=NULL)
	{
      if(cur->num>max) 
        {  max=cur->num;
	       tmmax=cur;
		   tmp=pred;
	    }
	   pred=cur;
	   cur=cur->next;
	}
		if (tmmax==first)
		{ first=first->next;
		   delete tmmax;
		}
		else 
		{ 
			if(tmmax==last)
			{ tmp->next=NULL;
			  last=tmp;
			  delete tmmax;
			}
			else
			{ tmp->next=tmmax->next;
			  delete tmmax;
			}
		}
    puts("NEW spisok");
    cur=first;
    while(cur!=NULL)
     {printf("%5d",cur->num);
      cur=cur->next;
	}
     printf("\n");
    
 
    
 getch();
}